Bug 248678 - Review Request: R-BSgenome.Dmelanogaster.FlyBase.r51 - osophila melanogaster genome (FlyBase r5.1)
Review Request: R-BSgenome.Dmelanogaster.FlyBase.r51 - osophila melanogaster ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 02:29 EDT by Pierre-Yves
Modified: 2008-01-29 00:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 00:18:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-07-18 02:29:15 EDT
Spec URL: http://pingoured.dyndns.org/public/RPM/R-BSgenome.Dmelanogaster.FlyBase.r51/R-BSgenome.Dmelanogaster.FlyBase.r51.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-BSgenome.Dmelanogaster.FlyBase.r51/R-BSgenome.Dmelanogaster.FlyBase.r51-1.2.0-1.fc6.src.rpm
Description: 
Drosophila melanogaster genome grabbed from FlyBase (r5.1, Dec. 2006) 
and stored in Biostrings objects

Thanks
Comment 2 Desislav Georgiev 2007-12-12 15:15:39 EST
(In reply to comment #1)
I am not a sponsor, I would like to assist in a pre-review.
Please supplly correct spec/srpm URL.
Comment 3 Pierre-Yves 2007-12-26 13:50:02 EST
Please help yourself, the server should be back by now :)

Regards,
Comment 4 Jason Tibbitts 2008-01-18 02:41:45 EST
And of course, by the time I get around to looking at this, the server seems to
be down again.
Comment 7 Jason Tibbitts 2008-01-18 16:11:38 EST
Not much to say here.  However, as with the previous genome package you
submitted, could you drop the dist tag and do the magic to get only one copy of
this package in the distribution?

* source files match upstream:
   6c76546e300f5325d1e115809db62894aa1f11f598b940f5206ac1d805a077f8  
   BSgenome.Dmelanogaster.FlyBase.r51_1.3.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint has only the usual R complaints.
* final provides and requires are sane:
   R-BSgenome.Dmelanogaster.FlyBase.r51 = 1.3.1-1.fc9
  =
   /bin/sh
   R
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (R package registration)
* acceptable content
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 8 Pierre-Yves 2008-01-18 19:17:55 EST
New Package CVS Request
=======================
Package Name: R-BSgenome.Dmelanogaster.FlyBase.r51 
Short Description: osophila melanogaster genome (FlyBase r5.1)
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 9 Patrice Dumas 2008-01-19 04:20:58 EST
I think the description should be 
Drosophila melanogaster genome (FlyBase r5.1)
Comment 10 Pierre-Yves 2008-01-19 05:33:45 EST
oups sorry my mistake ! 

New Package CVS Request
=======================
Package Name: R-BSgenome.Dmelanogaster.FlyBase.r51 
Short Description: Drosophila melanogaster genome (FlyBase r5.1)
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes

Comment 11 Kevin Fenzi 2008-01-19 13:21:05 EST
cvs done.
Comment 12 Fedora Update System 2008-01-24 16:52:57 EST
R-BSgenome.Dmelanogaster.FlyBase.r51-1.3.1-3 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-BSgenome.Dmelanogaster.FlyBase.r51'
Comment 13 Fedora Update System 2008-01-29 00:18:41 EST
R-BSgenome.Dmelanogaster.FlyBase.r51-1.3.1-3 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.